Name:       dnsenum 
Version:    1.2.4.2
Release:    16%{?dist}
Summary:    A tool to enumerate DNS info about domains 

License:    GPLv2+
URL:        https://github.com/fwaeytens/dnsenum
Source0:    https://github.com/fwaeytens/dnsenum/archive/%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  perl-generators

Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:   perl-Net-Whois-IP
Requires:   perl-WWW-Mechanize
Requires:   perl-Readonly

%description
The purpose of this tool is to gather as much information as possible about a 
domain. The program currently gathers A, NS, MX records, performs axfr queries,
gets extra names and subdomains via google scraping, bruteforces subdomains from
file, calculate C class domain network ranges and perform whois queries on them,
perform reverse lookups on netranges, writes ip-blocks to domain_ips.txt.

%prep
%setup -q

%build
# nothing to build

%install
%{__install} -Dp -m0755 %{name}.pl %{buildroot}%{_bindir}/%{name}

%files
%doc README.md dns.txt
%{_bindir}/%{name}

%changelog
* Mon Jun 22 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.4.2-16
- Perl 5.32 rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.4.2-13
- Perl 5.30 rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.4.2-10
- Perl 5.28 rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.4.2-7
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.4.2-5
- Perl 5.24 rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2.4.2-2
- Perl 5.22 rebuild

* Mon Mar 23 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.4.2-1
- Update to latest upstream release 1.2.4.2

* Fri Sep 12 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.4.1-1
- Update to latest upstream release 1.2.4.1

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.2-15
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 1.2-12
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.2-9
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.2-7
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.2-6
- Perl 5.14 mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 29 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 1.2-4
- Rebuild for perl-5.12.x.

* Wed Apr 28 2010 Mohammed imran <imranceh@gmail.com> 1.2-3
- Used macros for rm and /usr/bin

* Mon Apr 26 2010 Mohammed imran <imranceh@gmail.com> 1.2-2
- Fixed English grammer,moved from sbin/ to bin/
- Added Requires dependencies

* Tue Apr 13 2010 Mohammed imran <imranceh@gmail.com> 1.2-1
- Initial version of the package

