%{?nodejs_find_provides_and_requires}

%global packagename brace-expansion
%global enable_tests 0

Name:		nodejs-brace-expansion
Version:	1.1.11
Release:	5%{?dist}
Summary:	Brace expansion as known from sh/bash

License:	MIT
# License text is at the bottom of README.md
URL:		https://github.com/juliangruber/brace-expansion.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
#Source1:	tests-%{version}.tar.bz2
#Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	grep
%if 0%{?enable_tests}
BuildRequires:	npm(balanced-match)
BuildRequires:	npm(concat-map)
BuildRequires:	npm(tape)
%endif

%description
Brace expansion as known from sh/bash


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -n package

# Create separate license file from the license information at the bottom of
# the README.md file
%{_bindir}/grep -A100 '^## License$' README.md > LICENSE.md


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 31 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.1.11-1
- Update to upstream 1.1.11 release

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 28 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.8-1
- Update to upstream 1.1.8 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri May 05 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.7-1
- Update to upstream 1.1.7 release to remediate DoS issue npm:brace-expansion:20170302

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Update to upstream 1.1.3 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 17 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
